<?php 
header("Content-type: text/html; charset=utf-8");

// Conectare-selectare baza de date - functii
include_once("admin.php");
include_once("functii.php");

// modificare comentariu
if(isset($_POST['mod_id']) && isset($_POST['mod_nume']) && isset($_POST['mod_email']) && isset($_POST['mod_coment']) && isset($_POST['mod_fullurl'])) {
  $inapoi = '<br /><b><a href="javascript: history.go(-1)">Click aici</a></b> pentru a reveni la pagina anterioara.'."\r\n";

// Verifica lungimea sirurilor
  if (strlen($_POST['mod_nume'])>42) {
	print '<br /><br /><br /><center><h4>
		Numele trebuie sa contina maxim 42 caractere</h4>'. $inapoi. '</center>';
	exit();
  }
  elseif (strlen($_POST['mod_email'])>50) {
	print '<br /><br /><br /><center><h4>
		Adresa de e-mail trebuie sa contina maxim 50 caractere</h4>'. $inapoi. '</center>';
	exit();
  }
  elseif (strlen($_POST['mod_site'])>70) {
	print '<br /><br /><br /><center><h4>
		Adresa site-ului trebuie sa contina maxim 70 caractere</h4>'. $inapoi. '</center>';
	exit();
  }
  elseif (strlen($_POST['mod_coment'])>650) {
	print '<br /><br /><br /><center><h4>
		Comentariu trebuie sa contina maxim 650 caractere</h4>'. $inapoi. '</center>';
	exit();
  }
  else {
	$fullurl = $_POST['mod_fullurl'];
	$id = (int) $_POST['mod_id'];
	$m['nume'] = $_POST['mod_nume'];
	$m['email'] = $_POST['mod_email'];
	$m['site'] = 'http://'.str_replace('http://', '', $_POST['mod_site']);		// Adauga sigur 'http://' in URL
	$m['coment'] = $_POST['mod_coment'];

    // Curata datele din matricea '$m[]' pentru a fi adaugate in siguranta in baza de date
    $m = array_map("clean_data", $m);

    // Formateaza comentariul, daca are smiles
    $m['coment'] = format_smiles($m['coment']);

	// modificarea in BD
	$sql = "UPDATE `comentarii` SET `nume`='".$m['nume']."', `email`='".$m['email']."', `coment`='".$m['coment']."', `site`='".$m['site']."'
		WHERE `id`='$id' LIMIT 1";

	if(mysql_query($sql, $conn)) { 
	  echo '<script type="text/javascript">
		<!-- 
		window.alert("Comentariul a fost modificat.");
			window.location = "'.$fullurl.'#mp";
		//-->
		</script>';
	}
	else {
	  echo 'Datele nu au putut fi modificate deoarece : '. mysql_errno(). ' : '. mysql_error();
	}
  }
}

// stergere completa comentariu
if(isset($_GET['id'])) {
  $id = $_GET['id'];
  echo '<br /><center><form id="sterge" action="" method="post">
	<b><u>Comentariul va fi sters fara posibilitate de recuperare</u><br />
	Pentru confirmare, adaugati parola de administrator<b><br />
	<input type="hidden" name="id_del" value="'.$id.'"><br />
	<input type="password" name="pass"> &nbsp; <input type="submit" value="Sterge" />
	</form></center>';
}
if(isset($_POST['id_del']) && isset($_POST['pass'])) {
  $id = $_POST['id_del'];
  $pass = $_POST['pass'];
  if($pass==$p_admin) {
	$sql = "DELETE FROM `comentarii` WHERE `id`='$id' LIMIT 1";
	$result = mysql_query($sql);
	if(!$result) { echo 'Datele nu au putut fi sterse deoarece : '. mysql_errno(). ' : '. mysql_error(); }
	else { echo '<script type="text/javascript">
		<!--
		opener.ascunde();
		document.getElementById("sterge").style.display=\'none\';
		alert("Comentariul a fost sters");
		window.close();
		//-->
		</script>
		<br /><br /><br /><br /><center><h5><a href="javascript:window.close();">Comentariul a fost sters</a></h5></center>';}
  }
  else {
	echo '<br /><center><u><h3 style="color:red;">Parola incorecta</h3></u></center>';
  }
}
mysql_close();
?>